#pragma once
#include <map>
struct Odds2_InfoData
{
	//Key
	std::string mKey;
	//ֵ
	int mValue;
};

class Odds2_Info
{
public:
private:
	static std::auto_ptr<Odds2_Info> msSingleton;
public:
	int GetCount();
	const Odds2_InfoData* GetData(std::string Key);
	const std::map<std::string, Odds2_InfoData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Odds2_Info* GetSingleton();
	static void Release();
private:
	std::map<std::string, Odds2_InfoData> mMapData;
};
